#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SaveNotebookConflict {
    #[serde(rename = "notebookRid")]
    notebook_rid: super::super::super::super::super::objects::scout::rids::api::NotebookRid,
    #[serde(rename = "otherSnapshotRid")]
    other_snapshot_rid: super::super::super::super::super::objects::scout::rids::api::SnapshotRid,
    #[serde(rename = "otherSnapshotAuthorRid")]
    other_snapshot_author_rid: super::super::super::super::super::objects::scout::rids::api::UserRid,
}
impl SaveNotebookConflict {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        notebook_rid: super::super::super::super::super::objects::scout::rids::api::NotebookRid,
        other_snapshot_rid: super::super::super::super::super::objects::scout::rids::api::SnapshotRid,
        other_snapshot_author_rid: super::super::super::super::super::objects::scout::rids::api::UserRid,
    ) -> Self {
        Self::builder()
            .notebook_rid(notebook_rid)
            .other_snapshot_rid(other_snapshot_rid)
            .other_snapshot_author_rid(other_snapshot_author_rid)
            .build()
    }
    #[inline]
    pub fn notebook_rid(
        &self,
    ) -> &super::super::super::super::super::objects::scout::rids::api::NotebookRid {
        &self.notebook_rid
    }
    #[inline]
    pub fn other_snapshot_rid(
        &self,
    ) -> &super::super::super::super::super::objects::scout::rids::api::SnapshotRid {
        &self.other_snapshot_rid
    }
    #[inline]
    pub fn other_snapshot_author_rid(
        &self,
    ) -> &super::super::super::super::super::objects::scout::rids::api::UserRid {
        &self.other_snapshot_author_rid
    }
}
impl conjure_error::ErrorType for SaveNotebookConflict {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Conflict
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:SaveNotebookConflict"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["notebookRid", "otherSnapshotAuthorRid", "otherSnapshotRid"]
    }
}
